# Uses of Interface
java.beans.AppletInitializer

Packages that use AppletInitializer
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of AppletInitializer in java.beans

Methods in java.beans with parameters of type AppletInitializer
Modifier and Type
Method
Description
`static Object`
Beans.`instantiate(ClassLoader cls, String beanName, BeanContext beanContext, AppletInitializer initializer)`
Deprecated, for removal: This API element is subject to removal in a future version.
It is recommended to use `Beans.instantiate(ClassLoader, String, BeanContext)`, because the Applet API is deprecated.